Bug 1461143 - Service Retirement not working properly for Orchestration Stacks due to missing zone. [NEEDINFO]
Service Retirement not working properly for Orchestration Stacks due to missi...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control (Show other bugs)
5.7.0
Unspecified Unspecified
high Severity high
: GA
: 5.8.1
Assigned To: Tina Fitzgerald
Shveta
stack:service:retirement
: ZStream
Depends On: 1458011
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 12:04 EDT by Satoe Imaishi
Modified: 2017-08-14 12:11 EDT (History)
10 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1458011
Environment:
Last Closed: 2017-08-02 13:30:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core
tfitzger: needinfo? (gekis)


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-13 12:06:06 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/52bbd3f46cec8ea74c5289b37764d40301b5c014

commit 52bbd3f46cec8ea74c5289b37764d40301b5c014
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Jun 8 10:43:30 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jun 13 12:05:17 2017 -0400

    Merge pull request #15334 from tinaafitz/orchestration_stack_add_zone
    
    Add orchestration stack my_zone.
    (cherry picked from commit 8e6d2fb05a36be637183b083efafbe7904f58e8d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1461143

 app/models/orchestration_stack.rb         |  4 ++++
 spec/models/service_orchestration_spec.rb | 11 +++++++++++
 2 files changed, 15 insertions(+)
Comment 4 Tina Fitzgerald 2017-06-19 14:20:28 EDT
Hi Michael,

Thanks for the log.  

Can you ask the customer to send screen shots of the following Service Catalog Items, showing the basic information including provider.

OpenStack basic VM - Windows type: <ServiceTemplateOrchestration
OpenStack VM with SLM - Linux type: <ServiceTemplateOrchestration

I suspect those Service catalog items are missing the provider.

Thanks,
Tina
Comment 9 Tina Fitzgerald 2017-07-10 15:55:45 EDT
Hi Yoder,

We're working on new test cases for this issue and one important scenario we didn't discuss here is if the Services in question here have VMs or not. 

Would you ask the customer if the Services that are not retiring properly have associated VMs?  

Thanks,
Tina
Comment 10 Jeff Teehan 2017-07-13 13:21:48 EDT
Retirement appears to be working for me.  Hesitant to move this to verified without hearing from customer.  I'm going to leave it ONQA for a bit.
Comment 11 Tina Fitzgerald 2017-07-13 15:42:04 EDT
Hi Jeff,

Did you do retire an Orchestration Service wit,h and without a VM? I think the no VM retirement could be the issue here.

Thanks,
Tina
Comment 16 Shveta 2017-07-27 15:34:04 EDT
Hi Tina , 

I have an appliance with a zone .
Added the provider to the zone.
Provisioned one orchestration service with VM and one without VM.
Retired both service from "My Service"
Both services were retired .

Is this good to verify the fix?
Comment 17 Shveta 2017-07-28 15:26:15 EDT
Provision a service with VM in default zone.
Once the service is provisioned .Switch the provider to new zone.
retire service .
log message shows request_service_retire queue put in the correct zone "newzone".

Retired a service without VM and service got retired in default zone.

Verified in 5.8.1.5.20170725160636_e433fc0
Comment 19 errata-xmlrpc 2017-08-02 13:30:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758
Comment 20 Tina Fitzgerald 2017-08-14 12:11:46 EDT
I see that the customer case is closed.
Do you need any additional information on this issue?

Note You need to log in before you can comment on or make changes to this bug.